        ##(X,Y,W,H)

label aether_main_hall:
    scene bg aeth int
    play music aether_music fadein 1.0 fadeout 1.0 if_changed
    call screen aether_main_hall
label aether_left_hall:
    scene left hall
    play music aether_music fadein 1.0 fadeout 1.0 if_changed
    call screen aether_left_hall
label aether:
    scene bg aeth ext
    play music aether_music fadein 1.0 fadeout 1.0 if_changed
    call screen aether with Fade(0.4, 0.2, 0.4)
label aether_upstairs:
    scene bg lillie room ext
    play music aether_music fadein 1.0 fadeout 1.0 if_changed
    call screen aether_upstairs
label lillie_room:
    scene bg lillie room int
    play music aether_music fadein 1.0 fadeout 1.0 if_changed
    call screen lillie_room
label lusamine_room:
    scene lusamines room
    play music aether_music fadein 1.0 fadeout 1.0 if_changed
    call screen lusamine_room
label wicke_room:
    scene wickes room
    play music aether_music fadein 1.0 fadeout 1.0 if_changed
    call screen wicke_room
label aether_garden:
    scene aether garden
    play music aether_music fadein 1.0 fadeout 1.0 if_changed
    call screen aether_garden
label aether_bathroom:
    scene bg bathroom
    play music aether_music fadein 1.0 fadeout 1.0 if_changed
    call screen aether_bathroom
label aether_store:
    if futa >=1:
        scene aether store interior
        menu:
            "Buy Futa Pills" if futa ==1:
                $futa += 1
                $ renpy.notify("You bought and consumed the futa pill. You are now a Futa!")
                jump aether_left_hall

            "Leave":
                jump aether_left_hall

    call screen aether_store
label aether_ranch:
    call screen aether_ranch

screen aether:
    imagemap:
        idle "bg aeth ext"
        ground "bg aeth ext"
        hover "aether foundation overlay"
        hotspot (626, 913, 708, 167) clicked Jump("harbor") ##harbor
        hotspot (905,634,128,204) clicked Jump("aether_main_hall") ##Main hall
        hotspot (43, 446, 336, 380) clicked Jump("aether_left_hall") ##left
        hotspot (1536, 446, 352, 380) ## clicked Jump("aether_right_hall") ##right

screen aether_main_hall:
    imagemap:
        idle "bg aeth int"
        ground "bg aeth int"
        hover "main hall overlay"
        hotspot (1646, 0, 274, 1080) clicked Jump("aether") ##aether
        hotspot (942,94,653,653) clicked Jump("aether_garden") ##garden
        hotspot (0, 634, 756, 446) clicked Jump("aether_upstairs") ##upstairs



screen aether_left_hall:
    imagemap:
        idle "left hall"
        ground "left hall"
        hover "left hall overlay"
        hotspot (217, 912, 1279, 168) clicked Jump("aether") ##aether
        hotspot (0,0,296,1080) clicked Jump("aether_bathroom") ##bathroom
        hotspot (619, 298, 673, 404) clicked Jump("aether_store") ##store
        hotspot (1624, 0, 296, 1080) ##  clicked Jump("aether_ranch") ##Pokemon ranch

screen aether_upstairs:
    imagemap:
        idle "bg lillie room ext"
        ground "bg lillie room ext"
        hover "upstairs hall overlay"
        hotspot (442, 312, 82, 542) clicked Jump("aether_main_hall") ##main hall
        hotspot (816,484,295,342) clicked Jump("lillie_room") ##lillie room
        hotspot (97, 266, 152, 728) clicked Jump("lusamine_room") ##lusa room
        hotspot (1664, 0, 256, 1080) clicked Jump("wicke_room") ##wicke room

screen lillie_room:
    imagemap:
        idle "bg lillie room int"
        ground "bg lillie room int"
        hover "room generic"
        hotspot (0, 916, 1920, 164) clicked Jump("aether_upstairs") ##upstairs
    imagebutton:
        xalign 0.8
        idle "lillie notif"
        hover "lillie idle overlay"
        action Jump("lillie_room_interact")

image lillie notif = LiveComposite(
    (610, 1080),
    (0,0), "lillie idle",
    (0,0), ConditionSwitch(
        "lillietalk <=6", "notif",
        "True", Null()),
    (0,0), ConditionSwitch(
        "lillie_pee <=1 and watersport ==1", "notif ws",
        "True", Null()),
    (0,0), ConditionSwitch(
        "lillie_futa <=0 and futa >=0", "notif fu",
        "True", Null()),)

screen lusamine_room:
    imagemap:
        idle "lusamines room"
        ground "lusamines room"
        hover "room generic"
        hotspot (0, 916, 1920, 164) clicked Jump("aether_upstairs") ##upstairs
    imagebutton:
        xalign 0.8
        idle "lusamine notif"
        hover "lusamine idle overlay"
        action Jump("lusa_room_interact")

image lusamine notif = LiveComposite(
    (610, 1080),
    (0,0), "lusamine idle",
    (0,0), ConditionSwitch(
        "lusatalk <=2 or lusa_lillie ==0", "notif",
        "True", Null()),
    # (0,0), ConditionSwitch(
    #     "lusa_pee <=1 and watersport ==1", "notif ws",
    #     "True", Null()),
    (0,0), ConditionSwitch(
        "lusa_futa <=1 and futa >=0", "notif fu",
        "True", Null()),)


screen wicke_room:
    imagemap:
        idle "wickes room"
        ground "wickes room"
        hover "room generic"
        hotspot (0, 916, 1920, 164) clicked Jump("aether_upstairs") ##upstairs
    imagebutton:
        xalign 0.8
        idle "wicke notif"
        hover "wicke idle overlay"
        action Jump("wicke_room_interact")

image wicke notif = LiveComposite(
    (610, 1080),
    (0,0), "wicke idle",
    (0,0), ConditionSwitch(
        "wicketalk <=5", "notif",
        "True", Null()),
    (0,0), ConditionSwitch(
        "wicke_pee <=0 and watersport ==1", "notif ws",
        "True", Null()),
    (0,0), ConditionSwitch(
        "wicke_futa <=0 and futa >=0", "notif fu",
        "True", Null()),)


screen aether_garden:
    imagemap:
        idle "aether garden" ##image needs replacing
        ground "aether garden"
        hover "room generic"
        hotspot (0, 916, 1920, 164) clicked Jump("aether_main_hall") ##main hall

screen aether_bathroom:
    imagemap:
        idle "bg bathroom"
        ground "bg bathroom"
        hover "room generic"
        hotspot (0, 916, 1920, 164) clicked Jump("aether_left_hall") ##left hall

screen aether_store:
    imagemap:
        idle "aether store interior"
        ground "aether store interior"
        hover "room generic"
        hotspot (0, 916, 1920, 164) clicked Jump("aether_left_hall") ##left hall

screen aether_ranch:
    imagemap:
        idle "bg aether ranch"
        ground "bg aether ranch"
        hover "room generic"
        hotspot (0, 916, 1920, 164) clicked Jump("aether_left_hall") ##left hall
