

label moon_house:
    scene bg moon room
    play music bgmisland1 fadein 1.0 fadeout 1.0 if_changed
    call screen moon_house with Fade(0.3, 0.1, 0.3)
label pokemart:
    scene bg store int
    play music pokemart_music fadein 1.0 fadeout 1.0 if_changed
    call screen pokemart with Fade(0.3, 0.1, 0.3)
label route1:
    scene bg route1
    ##play sound boat_1
    $ renpy.random.shuffle(bgmisland1)
    play music bgmisland1 fadein 1.0 fadeout 1.0 if_changed
    call screen route1 with Fade(0.4, 0.2, 0.4)
label map_new:
    scene map_base
    call screen map_new
label route1_start:
    scene bg route1
    $ renpy.random.shuffle(bgmisland1)
    play music bgmisland1 if_changed
    call screen route1_start with Fade(0.4, 0.2, 0.4)


screen route1_start:
    imagemap:
        idle "bg route1"
        ground "bg route1"
        hover "bg route1 overlay_a"
        hotspot (0, 788, 1418, 292) clicked ## Jump("pokemart_placeholder") ##pokemart
        hotspot (118,3,1164,653) clicked ## Jump("house_placeholder") ##Moon's house
        hotspot (1427, 475, 493, 605) clicked Jump("open1") ##Harbour  ##1427,493,475,605


        ##(X,Y,W,H)
screen route1:
    imagemap:
        idle "bg route1"
        ground "bg route1"
        hover "bg route1 overlay_a"
        hotspot (0, 788, 1418, 292) clicked Jump("pokemart") ##pokemart
        hotspot (118,3,1164,653) clicked Jump("moon_house") ##Moon's house
        hotspot (1427, 475, 493, 605) clicked Jump("harbor") ##Harbour  ##1427,493,475,605


screen moon_house:
    imagemap:
        idle "bg moon room"
        ground "bg moon room"
        hover "room generic"
        hotspot (0, 916, 1920, 164) clicked Jump("route1") ##route1
        ##hotspot (X,Y,W,H) clicked Jump("moon_room")

screen pokemart:
    imagemap:
        idle "bg store int"
        ground "bg store int"
        hover "room generic"
        hotspot (0, 916, 1920, 164) clicked Jump("route1") ##route1


screen map_new:
    imagemap:
        default mapbox1 = ""
        default mapbox2 = ""
        default mapbox3 = ""
        idle "map_base"
    imagebutton: ##route1
        idle "map_route1"
        hover "map_route1_hover"
        hovered SetScreenVariable("mapbox1", "Route 1"), SetScreenVariable("mapbox2", "Melemele Island"), SetScreenVariable("mapbox3", "")
        unhovered SetScreenVariable("mapbox1", ""), SetScreenVariable("mapbox2", ""), SetScreenVariable("mapbox3", "")
        ##action If(lillietalk >=3 and watersport ==1 and lillie_pee ==0, Jump("lillie_pee_1"), If(lusa_lillie >=1 and replay ==0, Jump("replay_intro_a"), Jump("route1")))
        action If(lillietalk >=3 and watersport ==1 and lillie_pee ==0, Jump("lillie_pee_1")), If(lusa_lillie >=1 and replay ==0, Jump("replay_intro_a")), Play("sound", "boat_1.ogg"), Jump("route1")
        focus_mask True
    imagebutton: ##moon house
        idle "map_moon_house"
        hover "map_moon_house_hover"
        hovered SetScreenVariable("mapbox1", "Route 1"), SetScreenVariable("mapbox2", "Melemele Island"), SetScreenVariable("mapbox3", "Moon's House")
        unhovered SetScreenVariable("mapbox1", ""), SetScreenVariable("mapbox2", ""), SetScreenVariable("mapbox3", "")
        action Play("sound", "boat_1.ogg"), Jump("moon_house")
        focus_mask True
    imagebutton: ##pokemart
        idle "map_pokemart"
        hover "map_pokemart_hover"
        hovered SetScreenVariable("mapbox1", "Route 1"), SetScreenVariable("mapbox2", "Melemele Island"), SetScreenVariable("mapbox3", "Pokémart")
        unhovered SetScreenVariable("mapbox1", ""), SetScreenVariable("mapbox2", ""), SetScreenVariable("mapbox3", "")
        action Play("sound", "boat_1.ogg"), Jump("pokemart")
        focus_mask True
    imagebutton: ##route4
        idle "map_route4"
        hover "map_route4_hover"
        hovered SetScreenVariable("mapbox1", "Route 4"), SetScreenVariable("mapbox2", "Akala Island"), SetScreenVariable("mapbox3", "")
        unhovered SetScreenVariable("mapbox1", ""), SetScreenVariable("mapbox2", ""), SetScreenVariable("mapbox3", "")
        action Play("sound", "boat_1.ogg"), Jump("route4")
        focus_mask True
    imagebutton: ##route5
        idle "map_route5"
        hover "map_route5_hover"
        hovered SetScreenVariable("mapbox1", "Route 5"), SetScreenVariable("mapbox2", "Akala Island"), SetScreenVariable("mapbox3", "")
        unhovered SetScreenVariable("mapbox1", ""), SetScreenVariable("mapbox2", ""), SetScreenVariable("mapbox3", "")
        action Play("sound", "boat_1.ogg"), Jump("route5")
        focus_mask True
    imagebutton: ##mallow cafe
        idle "map_mallow_cafe"
        hover "map_mallow_cafe_hover"
        hovered SetScreenVariable("mapbox1", "Route 4"), SetScreenVariable("mapbox2", "Akala Island"), SetScreenVariable("mapbox3", "Mallow's Café")
        unhovered SetScreenVariable("mapbox1", ""), SetScreenVariable("mapbox2", ""), SetScreenVariable("mapbox3", "")
        action Play("sound", "boat_1.ogg"), Jump("mallow_cafe")
        focus_mask True
    imagebutton: ##lana house
        idle "map_lana_house"
        hover "map_lana_house_hover"
        hovered SetScreenVariable("mapbox1", "Route 5"), SetScreenVariable("mapbox2", "Akala Island"), SetScreenVariable("mapbox3", "Lana's House")
        unhovered SetScreenVariable("mapbox1", ""), SetScreenVariable("mapbox2", ""), SetScreenVariable("mapbox3", "")
        action Play("sound", "boat_1.ogg"), Jump("lana_house")
        focus_mask True
    imagebutton: ##pokecenter
        idle "map_pokecenter"
        hover "map_pokecenter_hover"
        hovered SetScreenVariable("mapbox1", "Route 4"), SetScreenVariable("mapbox2", "Akala Island"), SetScreenVariable("mapbox3", "Pokémon Center")
        unhovered SetScreenVariable("mapbox1", ""), SetScreenVariable("mapbox2", ""), SetScreenVariable("mapbox3", "")
        ##action Play("sound", "boat_1.ogg"), Jump("pokecenter")
        focus_mask True
    imagebutton: ##river
        idle "map_river"
        hover "map_river_hover"
        hovered SetScreenVariable("mapbox1", "Route 5"), SetScreenVariable("mapbox2", "Akala Island"), SetScreenVariable("mapbox3", "River")
        unhovered SetScreenVariable("mapbox1", ""), SetScreenVariable("mapbox2", ""), SetScreenVariable("mapbox3", "")
        action Play("sound", "boat_1.ogg"), Jump("river")
        focus_mask True
    imagebutton: ##beach
        idle "map_beach"
        hover "map_beach_hover"
        hovered SetScreenVariable("mapbox1", "Route 5"), SetScreenVariable("mapbox2", "Akala Island"), SetScreenVariable("mapbox3", "Beach")
        unhovered SetScreenVariable("mapbox1", ""), SetScreenVariable("mapbox2", ""), SetScreenVariable("mapbox3", "")
        ##action Play("sound", "boat_1.ogg"), Jump("beach")
        focus_mask True
    imagebutton: ##route7
        idle "map_route7"
        hover "map_route7_hover"
        hovered SetScreenVariable("mapbox1", "Route 7"), SetScreenVariable("mapbox2", "Ula'ula Island"), SetScreenVariable("mapbox3", "")
        unhovered SetScreenVariable("mapbox1", ""), SetScreenVariable("mapbox2", ""), SetScreenVariable("mapbox3", "")
        ##action Jump("route7")
        action If(lusa_lillie >=1 and replay >=1, Jump("route7")), Play("sound", "boat_1.ogg"),  Jump("route7_deny")
        focus_mask True
    imagebutton: ##route8
        idle "map_route8"
        hover "map_route8_hover"
        hovered SetScreenVariable("mapbox1", "Route 8"), SetScreenVariable("mapbox2", "Ula'ula Island"), SetScreenVariable("mapbox3", "")
        unhovered SetScreenVariable("mapbox1", ""), SetScreenVariable("mapbox2", ""), SetScreenVariable("mapbox3", "")
        ##action Play("sound", "boat_1.ogg"), Jump("route8")
        focus_mask True
    imagebutton: ##aether house
        idle "map_aether_house"
        hover "map_aether_house_hover"
        hovered SetScreenVariable("mapbox1", "Route 7"), SetScreenVariable("mapbox2", "Ula'ula Island"), SetScreenVariable("mapbox3", "Aether House")
        unhovered SetScreenVariable("mapbox1", ""), SetScreenVariable("mapbox2", ""), SetScreenVariable("mapbox3", "")
        ##action Play("sound", "boat_1.ogg"), Jump("aether_house")
        focus_mask True
    imagebutton: ##hex cave
        idle "map_hex_cave"
        hover "map_hex_cave_hover"
        hovered SetScreenVariable("mapbox1", "Route 7"), SetScreenVariable("mapbox2", "Ula'ula Island"), SetScreenVariable("mapbox3", "Hex Maniac's Cave")
        unhovered SetScreenVariable("mapbox1", ""), SetScreenVariable("mapbox2", ""), SetScreenVariable("mapbox3", "")
        action If(lusa_lillie >=1 and replay >=1, Jump("cave")), Play("sound", "boat_1.ogg"), Jump("route7_deny")
        ##action Jump("cave")
        focus_mask True
    imagebutton: ##hapu house
        idle "map_hapu_house"
        hover "map_hapu_house_hover"
        hovered SetScreenVariable("mapbox1", "Route 8"), SetScreenVariable("mapbox2", "Ula'ula Island"), SetScreenVariable("mapbox3", "Hapu's House")
        unhovered SetScreenVariable("mapbox1", ""), SetScreenVariable("mapbox2", ""), SetScreenVariable("mapbox3", "")
        ##action Play("sound", "boat_1.ogg"), Jump("hapu_house")
        focus_mask True
    imagebutton: ##stable
        idle "map_stable"
        hover "map_stable_hover"
        hovered SetScreenVariable("mapbox1", "Route 8"), SetScreenVariable("mapbox2", "Ula'ula Island"), SetScreenVariable("mapbox3", "Stables")
        unhovered SetScreenVariable("mapbox1", ""), SetScreenVariable("mapbox2", ""), SetScreenVariable("mapbox3", "")
        ##action Play("sound", "boat_1.ogg"), Jump("stables")
        focus_mask True
    imagebutton: ##aether foundation
        idle "map_aether_foundation"
        hover "map_aether_foundation_hover"
        hovered SetScreenVariable("mapbox1", "Aether Paradise"), SetScreenVariable("mapbox2", ""), SetScreenVariable("mapbox3", "")
        unhovered SetScreenVariable("mapbox1", ""), SetScreenVariable("mapbox2", ""), SetScreenVariable("mapbox3", "")
        action Play("sound", "boat_1.ogg"), Jump("aether")
        focus_mask True
    text mapbox1:
        align (0.9, 0.1)
        size 40
        bold 1
        outlines [ (absolute(4), "#ffffff", absolute(0), absolute(0)) ]
    text mapbox2:
        align (0.9, 0.15)
        size 48
        bold 1
        outlines [ (absolute(6), "#ffffff", absolute(0), absolute(0)) ]
    text mapbox3:
        align (0.9, 0.05)
        size 40
        bold 1
        outlines [ (absolute(4), "#ffffff", absolute(0), absolute(0)) ]
    ##text mapbox1:
    ##    align (0.5, 0.9)
    ##    size 40
    ##    bold 1
    ##    outlines [ (absolute(4), "#ffffff", absolute(0), absolute(0)) ]
    ##text mapbox2:
    ##    align (0.5, 0.85)
    ##    size 48
    ##    bold 1
    ##    outlines [ (absolute(6), "#ffffff", absolute(0), absolute(0)) ]
    ##text mapbox3:
        ##align (0.5, 0.95)
        ##size 40
        ##bold 1
        ##outlines [ (absolute(4), "#ffffff", absolute(0), absolute(0)) ]

# screen map_new:
#     imagemap:
#         default mapbox1 = ""
#         default mapbox2 = ""
#         default mapbox3 = ""
#         idle "map1"
#         ground "map1"
#         hover "map_over" ##X,Y,W,H
#         hotspot (510, 254, 311, 124) hovered SetScreenVariable("mapbox1", "Route 1"), SetScreenVariable("mapbox2", "Melemele Island"), SetScreenVariable("mapbox3", "Moon's house") unhovered SetScreenVariable("mapbox1", "") clicked Jump("route1") ##route1
#         hotspot (1089, 312, 215, 117) hovered SetScreenVariable("mapbox1", "Route 4"), SetScreenVariable("mapbox2", "Akala Island") unhovered SetScreenVariable("mapbox1", "") clicked Jump("route4") ##route4
#         hotspot (1309, 248, 192, 253) hovered SetScreenVariable("mapbox1", "Route 5"), SetScreenVariable("mapbox2", "Akala Island") unhovered SetScreenVariable("mapbox1", "") clicked Jump("route5") ##route5
#         hotspot (1626, 606, 265, 170) hovered SetScreenVariable("mapbox1", "Route 7"), SetScreenVariable("mapbox2", "Ula'ula Island") unhovered SetScreenVariable("mapbox1", "") clicked Jump("route7") ##route7
#         hotspot (720, 631, 142, 112) hovered SetScreenVariable("mapbox1", "Aether Foundation"), SetScreenVariable("mapbox2", "Aether Foundation") unhovered SetScreenVariable("mapbox1", "") clicked Jump("aether") ##aether
#     text mapbox1:
#         align (0.5, 0.9)
#         size 40
#         bold 1
#         outlines [ (absolute(4), "#ffffff", absolute(0), absolute(0)) ]
#     text mapbox2:
#         align (0.5, 0.85)
#         size 48
#         bold 1
#         outlines [ (absolute(6), "#ffffff", absolute(0), absolute(0)) ]
#     text mapbox3:
#         align (0.5, 0.95)
#         size 40
#         bold 1
#         outlines [ (absolute(4), "#ffffff", absolute(0), absolute(0)) ]

screen hud_overlay:
    zorder 99
    imagemap:
        idle "map_icon1"
        ground ""
        hover "map_icon1_overlay"
        hotspot (1856, 16, 48, 48) clicked Jump("map_new")
