﻿# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

define Mo = Character(_("Moon"), color="#f8677f")
define Li = Character(_("Lillie"), color="#73e3fb")
define Lu = Character(_("Lusamine"), color="#dbb920")
define Ma = Character(_("Mallow"), color="#268533")
define La = Character(_("Lana"), color="#4e68fc")
define Wi = Character(_("Wicke"), color="#ffb8e4")
define Qq = Character(_("???"), color="#3a1849")
define He = Character(_("Hex Maniac"), color="#3a1849")
define Su = Character(_("Suiren"), color="#27799f")
define Sh = Character(_("Sarah & Harper"), color="#1f83c0")
define Sa = Character(_("Sarah"), color="#0168a7")
define Ha = Character(_("Harper"), color="#2baad9")
define Ac = Character(_("Acerola"), color="#996bfa")

define bgmisland1 = ["audio/bgm/music46.ogg", "audio/bgm/music09.ogg", "audio/bgm/music75.ogg", "audio/bgm/music83.ogg", "audio/bgm/music90.ogg", "audio/bgm/music126.ogg"]
define bgmisland2 = ["audio/bgm/music08.ogg", "audio/bgm/music14.ogg", "audio/bgm/music34.ogg", "audio/bgm/music60.ogg"]
define bgmisland3 = ["audio/bgm/music25.ogg", "audio/bgm/music46_1.ogg", "audio/bgm/music72.ogg", "audio/bgm/music79.ogg"]

define flash = Fade(0.1, 0.0, 0.5, color="#ffffff")

init:
    transform flip:
        xzoom -1.0
    transform unflip:
        xzoom 1.0

default lillie_pee = 0
default wicke_pee = 0
default lillie_futa = 0
default lusa_futa = 0
default wicke_futa = 0
default futa = 1
default acerolatalk = 0
default hosuitalk = 0

default futa_setting = 1
default scat_setting = 0
default pee_setting = 1


label start:
    $ lillietalk = 0
    $ mallowtalk = 0
    $ lanatalk = 0
    $ wicketalk = 0
    $ lusatalk = 0
    $ watersport = 1
    $ lillie_pee = 0
    $ wicke_pee = 0
    $ lillie_futa = 0
    $ lusa_futa = 0
    $ wicke_futa = 0
    $ lusa_lillie = 0
    $ replay = 0
    $ futa = 0
    $ scat = 0
    $ acerolatalk = 0
    $ hosuitalk = 0

    if futa_setting ==1:
        $futa += 0
    else:
        $futa -= 1
    if pee_setting ==1:
        $watersport +=0
    else:
        $watersport -= 1
    if scat_setting ==1:
        $scat += 1
    else:
        $scat += 0



    scene bg black
    stop music fadeout 1.5
    ##"Before we begin..."
    ##scene opening_futa
    ##"Do you want to enable Futanari scenes?"
    ##menu:
    ##    "Yes":
    ##        $futa += 0
    ##    "No":
    ##        $futa -= 1
    ##"Are you comfortable with watersports scenes?"
    ##scene opening_pee with Fade(0.3, 0.1, 0.3)
    ##menu:
    ##    "Yes":
    ##        scene opening_fart with Fade(0.3, 0.1, 0.3)
    ##        "Are you also comfortable with farting in scenes?"
    ##        menu:
    ##            "Yes":
    ##                scene bg black with Fade(0.3, 0.1, 0.3)
    ##                "Okay, If you enjoy the game, please consider supporting me on Fanbox or Patreon!"
    ##                $scat += 1
    ##            "No":
    ##                "I understand. If you enjoy the game, please consider supporting me on Fanbox or Patreon!"
    ##    "No":
    ##        scene bg black with Fade(0.3, 0.1, 0.3)
    ##        "I understand. If you enjoy the game, please consider supporting me on Fanbox or Patreon!"
    ##        $watersport -= 1
    "Skip the opening? (not recommended for first time players)"
    menu:
        "Yes":
            $lillietalk += 3
            $mallowtalk += 1
            $lanatalk += 1
            $wicketalk += 1
            $lusatalk += 1
            $ renpy.notify("You are now able to freely roam Alola, use the harbor or the navigation map to travel!")
            scene bg route1
            show screen hud_overlay
            #play music bgmlist if_changed fadeout 1.0 fadein 1.0
            $ renpy.random.shuffle(bgmisland1)
            $ renpy.music.queue(bgmisland1, loop=True)
            call screen route1 with Fade(0.3, 0.1, 0.3)
        "No":
            jump openscene1

# The game starts here.

label openscene1:
    scene bg house

    # This shows a character sprite. A placeholder is used, but you can
    # replace it by adding a file named "eileen happy.png" to the images
    # directory.

    show moon happy b at left
    Mo "My first full day here at Alola! My mom told me to go to the PokéMart and grab some things, perhaps I'll go do that."
    # scene outside pokemart
    show moon idle at left
    Mo "Ah, there's the store, let's just pop in real quic-"
    jump lilliecrash

label openscene2:
    ## scene where Moon and lillie crash into eachother
    # scene outside pokemart
    scene bg store with Fade(0.2, 0.0, 0.5)
    show lillie surprise at right
    ##voice lillie_shocked
    Li "Eep! Watch out!"
    show moon surprise at left
    Mo "!"
    hide lillie
    show moon question at left
    Mo "What a strange girl, I wonder what she was in a rush for..."
    scene bg store int with fade
    show moon happy b at left with fade
    Mo "Thank you!"
    scene bg store with Fade(0.2, 0.0, 0.5)
    show moon idle at left
    Mo "Hmm, I wonder where that girl went..."
    scene bg route1 with Fade(0.2, 0.0, 0.5)
    show moon question at left
    Mo "There's that girl over there, perhaps I should go talk to her."
    show lillie idle at right
    show moon embarrased
    Mo "Hey, I just want to apologize for bumping into you earlier,"
    show lillie happy a at right
    ##voice lillie_hmm
    Li "Oh! n-no worries! Umm, I don't think I've seen you around here before. You can call me Lillie."
    show moon happy a
    Mo "Haha, well I've just moved here, in fact it's my first full day here at Alola."
    show lillie question
    Li "Really?! Well, where are you from?"
    show moon idle
    Mo "I'm from Kanto, but this place is so much different from over there!"
    show lillie smug
    ##voice lillie_laugh6
    Li "Ah, you'll probably want someone to help guide you around the Islands then. I-I'd love to give you a tour!"
    show moon excited
    Mo "Haha, I'd love that too!"
    show lillie happy a
    ##voice lillie_seeyousoon
    Li "I'll be around the harbor if you want to join me. Goodbye!"
    show moon happy a
    Mo "Wow! What a friendly gal~ and kinda cute too..."
    jump route1_start

label pokemart_placeholder:
    "The PokéMart is not ready yet, check back later!"
    call screen route1_start
label house_placeholder:
    "Moon's house is not ready yet, check back later!"
    call screen route1_start

label open1:
    show bg route1
    menu:
        "Route 4" if mallowtalk ==0:
            jump Route4
        "Route 5" if lanatalk ==0:
            jump Route5
        "Aether Foundation":
            if lillietalk == 0:
             #stop music fadeout 1.0
             jump AeFo
            elif lillietalk >=3:
             "nothing new available yet!"
             jump open1
            elif lillietalk >=1:
             jump Lillie_2_a


label AeFo:
    show lillie embarrased at right
    ##voice lillie_well
    Li "The Aether foundation?! Well, it's not a normal island like you'd expect, but okay.."
    show lillie idle at right
    Li "We'll have to get a ferry there, but don't worry, they're really quite fast and it'll only take a few minutes."
    show moon happy a at left
    Mo "Lead the way!"
    stop music fadeout 1.0
    scene bg harbour with fade
    show lillie question at right
    ##voice lillie_laugh3
    Li "See, that took no time at all!"
    show moon idle at left
    show lillie idle
    Mo "Yep, that was one fast boat! So is this the foundation?"
    Li "This is just the entrance, the foundation is a little walk further."
    scene bg aeth ext with Fade(0.2, 0.0, 0.5)
    play music aether_music fadein 1.0 fadeout 1.0 if_changed
    show moon excited at left
    Mo "Woah! Look at that place, it's absolutely massive! And look at the garden, they don't call it the Pokémon paradise for nothing huh!"
    show lillie embarrased at right
    Li "Haha yes well, I-I do take pride in my home..!"
    show moon shock
    Mo "Wait, don't tell me you live there! That's so cool!"
    ##voice lillie_um
    Li "Umm... My mother's really the founder of this place, so we live here together here.."
    show moon excited
    Mo "Amazing!"
    show lillie happy a
    Li "Please come along, I'll show you inside the building!"
    scene bg aeth int with Fade(0.2, 0.0, 0.5)
    show moon excited at left
    Mo "Wow, your house is so fancy, and big too!"
    show lillie happy a at right
    Li "These are just the living quarters, we've still got the research center, and the Pokémon paradise to look at too!"
    hide lillie
    show lusamine happy b at right
    show moon shock
    ##voice lusamine_veryimpressive
    Lu "Well well, who's the new guest, Lillie-dear? A new cute new friend hopefully."
    show lillie shock at center:
         flip
    ##voice lillie_sigh
    Li "M-Mother~! Don't embarrass me in front of her~!"
    show lillie smug
    Li "I'm just showing my new friend around the foundation! Her name is..."
    show moon idle
    show lillie question
    Li "My apologies, I didn't actually catch your name myself..."
    show moon happy b
    Mo "My name's Moon. It's so nice to meet you Ma'am!"
    show lusamine excited
    Lu "Fufu~ Oh please, just call me Lusamine, okay?"
    show lusamine idle
    ##voice lusamine_laugh4
    Lu "I'm sure Lillie's already told you, but I'm her mother and the owner of the Aether foundation!"
    show moon happy a
    Mo "This place is soo cool!"
    show lusamine smug
    Lu "Any friend of Lillie is welcome here! And I'm sure that us two will get to know each other too, hmm?"
    show lillie angry
    Li "M-Mom~! Quit stealing my friends!"
    show lusamine happy a
    ##voice lusamine_laugh6
    Lu "Fufufu~, sorry honey..."
    show moon idle
    Mo "Thanks for all the kindness! We'll all totally be friends!"
    show lusamine happy b
    ##voice lusamine_goodbye
    Lu "Wonderful... You two play safe now, okay!"
    hide lusamine
    show lillie embarrased at right
    Li "Sorry.. My mom can get a little overbearing sometimes, but I promise she's really sweet and affectionate.."
    show moon happy a at left
    Mo "It's okay, she sounds fun to be around!"
    show moon aroused
    Mo "(And she's quite pretty too~!)"
    hide lusamine
    hide lillie
    hide moon
    scene bg lillie room int with Fade(0.2, 0.0, 0.5)
    show lillie idle at right
    show moon idle at left
    ##voice lillie_laugh7
    Li "So this is my room, but sometimes I like to sleep in other rooms in the house!"
    show moon happy b
    Mo "Wow, it's so big, and your bed is massive, and super comfy too!"
    show lillie happy b
    Li "heh, perhaps we ought to throw a sleepover sometime, that'll be nice."
    show lillie embarrased
    ##voice lillie_prettyplease
    Li "Umm... Do you mind if I change my clothes real quick? It's just that the ferry was quite warm and I've gotten a little bit sweaty..."
    show moon idle
    Mo "Sure, go ahead! I'll stand outside!"
    hide moon
    hide lillie
    scene bg lillie room ext
    menu:
        "Peek inside":
            play music hscene_music fadein 1.0
            jump hscene_peek

label lillie_1:
    scene bg lillie room ext
    show moon surprise at left
    show lillie underwear at right
    ##voice lillie_hey
    Li "What do you think you're doing? I'm all exposed right now!"
    show moon shock
    Mo "I'm so sorry, I saw the door was slightly open so I thought you were done."
    Mo "And besides, we're both girls here.. There's nothing to hide!"
    show lillie angry
    Li "Hmph! Well... just knock next time!"
    show moon happy a
    Mo "... You've got cute panties by the way."
    show lillie shock
    ##voice lillie_what2
    Li "Wha..? D-Don't say those sorts of things! You shouldn't have looked anyhow!"
    show moon pose
    Mo "Heh, I mean it, you just look cute as a whole!"
    show lillie embarrased
    Li "Eh? You really think so?"
    show lillie happy b
    Li "I mean...  You're quite gorgeous yourself too..!"
    show moon happy b
    Mo "Oh! T-thank you..! (This girl is so cute, she's starting to make me feel thing's I've never felt before..)"
    show lillie embarrased
    ##voice lillie_sigh4
    Li "...(Heh, I think I've got a crush on Moon, I need to tell mother..)"
    show moon embarrased
    Mo "Um... It's getting kinda late and I should really go back home and tell mom where I've been."
    show lillie idle
    Li "Oh, let me bring you home"
    scene bg route1 with Fade(0.2, 0.0, 0.5)
    show moon idle at left
    Mo "Let's hang out again soon, alright?"
    show lillie excited at right
    Li "I'd love to, I've still got so much of Alola to show you!"
    show moon excited
    Mo "Yeah let's go out and explore sometime! See you soon!"
    hide moon
    hide lillie
    $lillietalk += 1 #sets to 1
    jump route1_start


label Lillie_2_a:
    show lillie happy a at right
    show moon idle at left
    ##voice lillie_okay
    Li "Okay, let's head on out to the Aether Foundation!"
    scene bg aeth ext with Fade(0.2, 0.0, 0.5)
    play music aether_music if_changed fadein 1.0
    show lillie idle at right
    Li "So, what do you want to do?"
label Lillie_2_a_menu:
    menu:
        "Hang out with Lillie":
            if lillietalk == 1:
                stop music fadeout 1.0
                jump Lillie_2_b
            elif lillietalk >=2 and lusatalk >=1 and wicketalk >=1 and lanatalk >=1 and mallowtalk >=1:
                stop music fadeout 1.0
                jump Lillie_3_a
            else:
                "Perhaps I should go see the other girls here..."
                jump Lillie_2_a_menu
        "Explore the Inside of the foundation (Lusamine)" if lusatalk ==0: ##Lusamine
            stop music fadeout 1.0
            jump Lusa_1_a
        "Check out the outdoor areas (Wicke)" if wicketalk ==0:
            stop music fadeout 1.0
            jump Wicke_1_a
        "Let's go back...":
            stop music fadeout 1.0
            jump route1_start

label Lillie_2_b:
    show lillie happy b at right
    ##voice lillie_sure
    Li "Oh, you just wanna hang out with me? Sure!"
    show lillie happy a
    Li "I know a place by the Pokémon park, how about we go there?"
    show moon excited at left
    Mo "lead the way!"
    scene lillie_moon_chill with Fade(0.2, 0.0, 0.5)
    "Lillie and Moon hang out together for the day..."
    scene bg aeth int with Fade(0.2, 0.0, 0.5)
    show moon happy b at left
    Mo "Heehee, I had a really fun time today!"
    show lillie excited at right
    Li "Me too! Say, why don't we throw a sleepover together? We could stay up late, watch a movie, we could do anything..."
    show moon excited
    Mo "I-I'd love to!"
    show moon happy b
    ##voice lillie_okay
    Li "Wonderful! Let's back to the house then."
    scene bg lillie room int with Fade(0.2, 0.0, 1.0)
    show lillie question at right
    Li "*Yawwn* It's getting late, perhaps we should go to bed.."
    show moon idle at left
    Mo "Okay, let's get changed into our pajamas!"
    jump lillie_moon_sleep

label Lillie_2_c:
    scene bg aeth int with Fade(0.2, 0.0, 1.0)
    show moon happy a at left
    Mo "Thanks for letting me sleep over! I had a real fun time!"
    show lillie aroused at right
    ##voice lillie_laugh6
    Li "Haha, I had a great time too..."
    show lillie embarrased at right
    Li "If you wanna spend time together or hang out or something, I'm always open to it.."
    show moon happy b
    Mo "Sure! I'd love to!"
    hide moon
    hide lillie
    $lillietalk += 1 #sets to 2
    jump route1_start


label Lillie_3_a:
    show moon question at left
    Mo "(I need to talk to Lillie, I can't stop thinking about last light.)"
    show moon embarrased
    Mo "Hey... You wanna um, hang out or something?"
    show lillie happy a at right
    show moon idle
    ##voice lillie_sure
    Li "S-sure! Let's hang out at the Pokémon park, okay?"
    scene lillie_moon_chill with Fade(0.2, 0.0, 0.5)
    "Lillie and Moon hang out together for the day..."
    scene bg lillie room int with Fade(0.2, 0.0, 0.5)
    show moon embarrased at left
    Mo "..."
    show lillie embarrased at right
    Li "..."
    show moon surprise
    Mo "Listen... I just want to say that last night,"
    show moon sad
    Mo "I'm just so attracted to you and I'm sorry if I made you uncomfortable... But I just want to know how you feel."
    show lillie aroused
    Li "I-I feel the same way about you too..."
    show lillie embarrased
    Li "Looking back at it now, I was just being careful not to ruin our friendship,"
    Li "But now, I think want to be closer to you..."
    show moon happy a
    Mo "I want that too.."
    show lillie question
    ##voice lillie_well
    Li "Well, It's just that,"
    show lillie embarrased
    Li "We treat these things differently in Alola..."
    show moon embarrased
    Mo "Hmm? What do you mean?"
    show lillie shock
    Li "It's um... Well it's normal to have multiple partners here..."
    show moon surprise
    Mo "..."
    show lillie embarrased
    Li "It's more like, when you're in a relationship with someone, you might have {i}relations{/i} with them, but over here it's sometimes normal to have these {i}relations{/i} with other people.."
    show lillie sad
    Li "I'm sorry this is so embarrassing, I understand if you never want to talk to me agai-"
    show moon happy b
    Mo "Hey, don't worry, I understand. I still want his, okay..?"
    show moon embarrased
    Mo "But... have you ever... {i}been{/i} with other girls?"
    show lillie shock
    ##voice lillie_um2
    Li "M-maybe a couple times with my friends but I promise it hasn't happened in a whil-"
    show moon surprise
    Mo "It's alright. So... what do we do now?"
    show lillie question
    Li "Are you really okay with how we do this here? This must be so foreign to you!"
    show moon idle
    Mo "I'll be fine. I'm in Alola after all, so I'd better get used to it."
    show lillie idle
    ##voice lillie_yeah
    Li "Thanks for understanding.."
    show lillie aroused
    Li "But for now... I'd just like to kiss you, okay?"
    jump lillie_moon_kiss

label Lillie_3_b:
    scene bg lillie room int with Fade(0.2, 0.0, 0.5)
    show lillie happy b at right
    ##voice lillie_laugh4
    Li "I'm so glad we've made up, I was afraid what happened would ruin our relationship!"
    show moon happy a at left
    Mo "Hee hee, me too! I'm happy we can finally be honest about ourselves. I love being with you, y'know!"
    show lillie pose
    Li "Heh, I-I love being with you too..!"
    show lillie embarrased
    Li "Um, It's just getting late and all so-"
    show moon surprise
    Mo "Ah shoot! My mom's probably wondering were I am! Let's get together soon, okay?"
    show lillie excited
    ##voice lillie_seeyousoon
    Li "Of course! You know where to find me!"
    scene bg route1 with Fade(0.2, 0.0, 0.5)
    show moon question at left
    Mo "(Wait, so Lillie has had sex with other girls, her friends even..?)"
    show moon aroused
    Mo "(Heh, she's a lot less innocent than I thought!)"
    show moon idle
    Mo "(And this Alolan tradition... No wonder all of the girls around here have been so happy to see me...)"
    show moon pose
    Mo "(Well, I might as well take advantage of the situation, the girls 'round here are so cute after all...)"
    $lillietalk += 1 ##sets lillietalk to =3
    $ renpy.random.shuffle(bgmisland1)
    play music bgmisland1 if_changed
    scene bg route1 with Fade(0.3, 0.1, 0.3)
    play sound boat_1
    show lillie question at right
    Li "Hey, you're a Pokémon trainer, right?"
    show moon happy a at left
    Mo "Yep! I'm on my way through the Island challenge!"
    show lillie happy a
    Li "Oh! In that case, let me introduce you to Pokémon ride."
    show lillie idle
    Li "It'll allow you to summon a Pokémon to help you travel, any time or any place!"
    show moon excited
    Mo "Oh wow! That sure beats getting the ferry everywhere!"
    Li "So I've heard! All you have to do is tap on a location on the map and the ride Pokémon will send you straight to it!"
    $ renpy.notify("You are now able to freely roam Alola, use the harbor or the navigation map to travel!")
    show screen hud_overlay
    call screen route1 with Fade(0.5, 0.0, 0.2)



label pokemart_placeholder_1:
    "The pokemart is not ready yet, check back later!"
    call screen route1
label house_placeholder_1:
    "Moon's house is not ready yet, check back later!"
    call screen route1

label end:
    scene bg black with Fade(0.2, 0.0, 0.5)
    "Thank you for trying my game!"
    "Feedback is very much appreciated, so please send it my way"
    "And if you have any guidance or advice for making games via renpy, please message me on Twitter, Pixiv or F95"
    "Thanks again for playing! -Slormo"






    return






    # This ends the game.

    return
